/*****************************************************************************/
/*                      WiNRADiO G65DDC EXCALIBUR SIGMA                      */
/*                          Coherent mode SDK DEMO                           */
/*                        (c) Copyright RADIXON 2023                         */
/*****************************************************************************/

#ifndef __U_DEFS_H__
#define __U_DEFS_H__

#define APP_TITLE           "Coherent G65DDC SDK Demo"
#define APP_TITLE_WX        wxT("Coherent G65DDC SDK Demo")

#define FFT_SIZE            4096

//ms
#define UPDATE_INTERVAL     50

#define AUDIO_SAMPLE_RATE   48000

#define ATTENUATOR_0dB      0
#define ATTENUATOR_3dB      1
#define ATTENUATOR_6dB      2
#define ATTENUATOR_9dB      3
#define ATTENUATOR_12dB     4
#define ATTENUATOR_15dB     5
#define ATTENUATOR_18dB     6
#define ATTENUATOR_21dB     7
#define ATTENUATOR_MAX      ATTENUATOR_21dB

#define PRESEL_COUNT        5

#define PHASE_MAX_SAMPLES   1000

#define ADC_SAMPLE_RATE     210000000

#endif
